CognitiveX Docs
API

POST /api/shares

Create Share

POST /api/shares

Create Share

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
session_idstringYes-
message_idstring | nullNo-

Example request

curl -X POST https://api.cognitivx.io/api/shares \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "session_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "message_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }'

Example response

200 application/json

{
  "token": "icog_...",
  "url": "https://example.com"
}

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.